Crystal Space: csSegment3 Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSegment3 Class Reference
[Geometry utilities]

A 3D line segment. More...

`#include <csgeom/segment.h>`

List of all members.

## Public Member Functions
| csSegment3 ()
| Make a new uninitialized segment.
| csSegment3 (const csVector3 &s, const csVector3 &e)
| Make a new segment and initialize with the given values.
csVector3 & | End ()
| Get the end of the segment.
const csVector3 & | End () const
| Get the end of the segment.
void | Set (const csVector3 &s, const csVector3 &e)
| Set segment to given values.
void | SetEnd (const csVector3 &e)
| Set the end of the segment.
void | SetStart (const csVector3 &s)
| Set the start of the segment.
csVector3 & | Start ()
| Get the start of the segment.
const csVector3 & | Start () const
| Get the start of the segment.

## Detailed Description

A 3D line segment.

Definition at line 79 of file segment.h.

## Constructor & Destructor Documentation

csSegment3::csSegment3 | ( | const csVector3 & | s,
|  | const csVector3 & | e |
| ) |  |  | `[inline]`

Make a new segment and initialize with the given values.

Definition at line 89 of file segment.h.

csSegment3::csSegment3 | ( |  | ) | `[inline]`

Make a new uninitialized segment.

Definition at line 91 of file segment.h.

## Member Function Documentation

csVector3& csSegment3::End | ( |  | ) | `[inline]`

Get the end of the segment.

Definition at line 113 of file segment.h.

const csVector3& csSegment3::End | ( |  | ) | const`[inline]`

Get the end of the segment.

Definition at line 107 of file segment.h.

Referenced by csIntersect3::SegmentXFrustum(), csIntersect3::SegmentXPlane(), csIntersect3::SegmentYFrustum(), csIntersect3::SegmentYPlane(), csIntersect3::SegmentZ0Plane(), and csIntersect3::SegmentZPlane().

void csSegment3::Set | ( | const csVector3 & | s,
|  | const csVector3 & | e |
| ) |  |  | `[inline]`

Set segment to given values.

Definition at line 94 of file segment.h.

void csSegment3::SetEnd | ( | const csVector3 & | e | ) | `[inline]`

Set the end of the segment.

Definition at line 101 of file segment.h.

Referenced by csBox3::GetEdge().

void csSegment3::SetStart | ( | const csVector3 & | s | ) | `[inline]`

Set the start of the segment.

Definition at line 98 of file segment.h.

Referenced by csBox3::GetEdge().

csVector3& csSegment3::Start | ( |  | ) | `[inline]`

Get the start of the segment.

Definition at line 110 of file segment.h.

const csVector3& csSegment3::Start | ( |  | ) | const`[inline]`

Get the start of the segment.

Definition at line 104 of file segment.h.

Referenced by csIntersect3::SegmentXFrustum(), csIntersect3::SegmentXPlane(), csIntersect3::SegmentYFrustum(), csIntersect3::SegmentYPlane(), csIntersect3::SegmentZ0Plane(), and csIntersect3::SegmentZPlane().

The documentation for this class was generated from the following file:

- csgeom/segment.h